/*
   Do not change this file.
*/

public class Point
{
   private int x;
   private int y;

   public Point( )
   {
      this.x = 0;
      this.y = 0;
   }

   public Point(int x, int y)
   {
      moveTo(x, y);
   }

   public int getX()
   {
      return this.x;
   }

   public int getY()
   {
      return this.y;
   }

   public void moveTo(int x, int y)
   {
      this.x = x;
      this.y = y;
   }

   public void moveBy(int deltaX, int deltaY)
   {
      moveH(deltaX);
      moveV(deltaY);
   }

   public void moveH(double deltaX)
   {
      this.x += deltaX;
   }

   public void moveV(double deltaY)
   {
      this.y += deltaY;
   }

   public double distance()
   {
      return Math.sqrt(x*x + y*y);
   }

   public double distance(Point p)
   {
      return Math.sqrt( (x - p.x)*(x - p.x) + (y - p.y)*(y - p.y) );
   }

   public boolean equals(Point p)
   {
      return this.x == p.x && this.y == p.y;
   }

   public String toString()
   {
      return "(" + this.x + ", " + this.y + ")";
   }
}
